Package org.jboss.resteasy.plugins.server.vertx

## Class VertxRequestHandler

- java.lang.Object
- - org.jboss.resteasy.plugins.server.vertx.VertxRequestHandler

- All Implemented Interfaces:
    `io.vertx.core.Handler<io.vertx.core.http.HttpServerRequest>`

      public class VertxRequestHandler
      extends Object
      implements io.vertx.core.Handler<io.vertx.core.http.HttpServerRequest>

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected RequestDispatcher` | `dispatcher` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxRequestHandler​(io.vertx.core.Vertx vertx, ResteasyDeployment deployment)` |
    `VertxRequestHandler​(io.vertx.core.Vertx vertx, ResteasyDeployment deployment, String servletMappingPrefix)` |
    `VertxRequestHandler​(io.vertx.core.Vertx vertx, ResteasyDeployment deployment, String servletMappingPrefix, SecurityDomain domain)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(io.vertx.core.http.HttpServerRequest request)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dispatcher

          protected final RequestDispatcher dispatcher

  - ### Constructor Detail

    - #### VertxRequestHandler

          public VertxRequestHandler​(io.vertx.core.Vertx vertx,
                                     ResteasyDeployment deployment,
                                     String servletMappingPrefix,
                                     SecurityDomain domain)

    - #### VertxRequestHandler

          public VertxRequestHandler​(io.vertx.core.Vertx vertx,
                                     ResteasyDeployment deployment,
                                     String servletMappingPrefix)

    - #### VertxRequestHandler

          public VertxRequestHandler​(io.vertx.core.Vertx vertx,
                                     ResteasyDeployment deployment)

  - ### Method Detail

    - #### handle

          public void handle​(io.vertx.core.http.HttpServerRequest request)

      Specified by:
        `handle` in interface `io.vertx.core.Handler<io.vertx.core.http.HttpServerRequest>`